Index: code/trunk/data/overlays/dynamicMatchHUD.oxo
===================================================================
--- code/trunk/data/overlays/dynamicMatchHUD.oxo	(revision 9016)
+++ code/trunk/data/overlays/dynamicMatchHUD.oxo	(revision 9348)
@@ -2,4 +2,25 @@
   <OverlayGroup name="DynamicmatcHUD" scale = "1, 1">
    
+    <!--OverlayText
+     position  = "0.02, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Target:"
+    />
+
+    <OverlayText
+     position  = "0.02, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Score:"
+    /-->
+
+
  <GametypeStaticMessage
    name     = "staticmessage"
Index: code/trunk/data/overlays/lastManStandingHUD.oxo
===================================================================
--- code/trunk/data/overlays/lastManStandingHUD.oxo	(revision 9016)
+++ code/trunk/data/overlays/lastManStandingHUD.oxo	(revision 9348)
@@ -1,34 +1,4 @@
 <Template name="LastmanstandingHUD">
-  <OverlayGroup name="DynamicmatcHUD" scale = "1, 1">
-   
- <!--GametypeStaticMessage
-   name     = "staticmessage"
-   position = "0.5, 0.01"
-   font     = "VeraMono"
-   caption  = ""
-   textsize = 0.033
-   colour   = "1.0, 1.0, 0.5, 1.0"
-   align    = "center"
-  /-->
-
-<GametypeFadingMessage
-     name     = "fadingmessage"
-     position = "0.5, 0.01"
-     font     = "VeraMono"
-     textsize = 0.04
-     colour   = "1.0, 1.0, 0.5, 1.0"
-     align    = "center"
-    />
-
-    <OverlayText
-     position  = "0.02, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-     caption   = "Lives:   "
-    />
-
+  <OverlayGroup name="LastmanstandingHUD" scale = "1, 1">
     <LastManStandingInfos
      position  = "0.14, 0.02"
@@ -41,4 +11,13 @@
      showlives     = true
      showplayers     = false
+    />
+    <OverlayText
+     position  = "0.02, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Lives:   "
     />
 
Index: code/trunk/data/overlays/lastTeamStandingHUD.oxo
===================================================================
--- code/trunk/data/overlays/lastTeamStandingHUD.oxo	(revision 9016)
+++ code/trunk/data/overlays/lastTeamStandingHUD.oxo	(revision 9348)
@@ -1,12 +1,14 @@
 <Template name="lastTeamStandingHUD">
   <OverlayGroup name="lastTeamStandingHUD" scale = "1, 1">
+    <LastTeamStandingInfos
+     position  = "0.14, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
 
-<GametypeFadingMessage
-     name     = "fadingmessage"
-     position = "0.5, 0.01"
-     font     = "VeraMono"
-     textsize = 0.04
-     colour   = "1.0, 1.0, 0.5, 1.0"
-     align    = "center"
+     showlives     = true
+     showteams     = false
     />
 
@@ -19,16 +21,4 @@
      align     = "left"
      caption   = "Lives:   "
-    />
-
-    <LastTeamStandingInfos
-     position  = "0.14, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-
-     showlives     = true
-     showteams     = false
     />
 
Index: code/trunk/data/overlays/tetrisHUD.oxo
===================================================================
--- code/trunk/data/overlays/tetrisHUD.oxo	(revision 9348)
+++ code/trunk/data/overlays/tetrisHUD.oxo	(revision 9348)
@@ -0,0 +1,37 @@
+<Template name="TetrisHUD">
+  <OverlayGroup name="TetrisHUD" scale = "1, 1">
+    <TetrisScore
+     position  = "0.9, 0.1"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+    />
+
+    <OverlayText
+     position  = "0.7, 0.10"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     caption   = "Points: "
+    />
+    
+    <OverlayText
+     position  = "0.7, 0.20"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     caption   = "Next Brick"
+    />
+    
+    
+
+  </OverlayGroup>
+</Template>
Index: code/trunk/data/overlays/towerdefenseHUD.oxo
===================================================================
--- code/trunk/data/overlays/towerdefenseHUD.oxo	(revision 9348)
+++ code/trunk/data/overlays/towerdefenseHUD.oxo	(revision 9348)
@@ -0,0 +1,14 @@
+<Template name="TowerDefenseHUD">
+  <OverlayGroup name="TowerDefenseHUD" scale = "1, 1">
+    <OverlayText
+     position  = "0.05, 0.05"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.05
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     caption = "Hello World"
+    />
+  </OverlayGroup>
+</Template>
Index: code/trunk/data/overlays/underAttackHUD.oxo
===================================================================
--- code/trunk/data/overlays/underAttackHUD.oxo	(revision 9016)
+++ 	(revision )
@@ -1,26 +1,0 @@
-< Template name="UnderAttackHUD">
-  <OverlayGroup name="UnderAttackHUD" scale = "1, 1">
-    <OUTDATED-- UnderAttackHealthBar
-     name                 = "HealthBar"
-     background           = "Orxonox/HealthBarBackground"
-     size                 = "0.45, 0.0875"
-     position             = "0.99 , 0.01"
-     pickpoint            = "1, 0"
-     bartexture           = "healthbar_bar.png"
-     textfont             = "VeraMono"
-     textusebarcolour     = true
-     textsize             = 0.039
-     textoffset           = "0.315, 0.05"
-     textpickpoint        = "0, 0"
-     textalign            = "right"
-     correctaspect        = false
-     textcorrectaspect    = false
-     descriptionpickpoint = "0, 0"
-     descriptionoffset    = "0.5, 1"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </UnderAttackHealthBar>
-  </OverlayGroup>
-</Template>
